Retrieve a user
curl --request GET \
--url https://backendapi.corbado.io/v2/users/{userID} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://backendapi.corbado.io/v2/users/{userID}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://backendapi.corbado.io/v2/users/{userID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"userID": "usr-4693224802260150919",
"status": "pending",
"updated": "<string>",
"updatedMs": 123,
"fullName": "Jane Doe",
"explicitWebauthnID": "<string>"
}{
"httpStatusCode": 123,
"message": "OK",
"requestData": {
"requestID": "req-557...663",
"link": "https://my.corbado.com/requests/req-xxxxxxxxxxxxxxxxxxx"
},
"runtime": 0.06167686,
"error": {
"type": "<string>",
"details": "<string>",
"validation": [
{
"field": "<string>",
"message": "<string>"
}
],
"links": [
"<string>"
]
},
"data": {}
}Users
Retrieve a user
Retrieves a user by given userID. This does not return login identifiers like email addresses or phone numbers.
You can also manage users in the Developer Panel.
GET
/
users
/
{userID}
Retrieve a user
Authorizations
Basic authentication is used to authenticate requests to the Backend API. The username is the project ID and the password is the API secret.
The project ID and API secret can be found in the Developer Panel.
Path Parameters
Unique identifier of the user. Format: usr-<number>.
Example:
"usr-4693224802260150919"
Was this page helpful?